Bug 843336 - Duplicate gear ids are shown while checking status of added cartridges
Duplicate gear ids are shown while checking status of added cartridges
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: John (J5) Palmieri
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-26 00:32 EDT by Rony Gong
Modified: 2015-05-14 22:01 EDT (History)
4 users (show)

See Also:
Fixed In Version: fork_ami_US2597_US2599_US2813_US2817_US2872_US2816_US2814_226
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:48:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rony Gong 2012-07-26 00:32:12 EDT
Description of problem:
There show 2 times gear id when check embed cartridge status

Version-Release number of selected component (if applicable):
devenv_1912
rhc (0.96.3)


How reproducible:
always

Steps to Reproduce:
1.Create app and embed cartridge like mysql, mongodb, postgresql
2.Check the embed cartridge statue
3.
  
Actual results:
[root@localhost mytest]# rhc app cartridge status -a qsjbosseap -c mongodb-2.0 -px

RESULT:
f66c65ce73cf424f9f63bab9060235b0
f66c65ce73cf424f9f63bab9060235b0
MongoDB is running



Expected results:
Maybe remove gear id or show only once in the expected result, 


Additional info:
This error happened both for scalable app and non-scalable app
Comment 1 John (J5) Palmieri 2012-10-10 15:19:23 EDT
fixed in latest we only show the message the server sends back
Comment 2 Rony Gong 2012-10-10 21:39:13 EDT
Verified on fork_ami_US2597_US2599_US2813_US2817_US2872_US2816_US2814_226
[qgong@localhost dev]$ rhc cartridge status -a qsjboss -c mongodb 
Password: 


RESULT:
MongoDB is stopped

[qgong@localhost dev]$ rhc cartridge status -a qsjboss -c mongodb 
Password: 


RESULT:
MongoDB is running

Note You need to log in before you can comment on or make changes to this bug.